Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
New Nvidia Drivers 61.06 are out
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
J.M.I.T.
Guru
Guru


Joined: 15 Jan 2003
Posts: 481
Location: München, Germany

PostPosted: Wed Jun 30, 2004 7:38 pm    Post subject: New Nvidia Drivers 61.06 are out Reply with quote

New nvidia drivers are out....

http://www.nvidia.com/object/linux_display_amd64_1.0-6106.html
_________________
Get a life...
Code:
:(){ :|:& };:
Use at own risk...
Back to top
View user's profile Send private message
sorg
Tux's lil' helper
Tux's lil' helper


Joined: 18 Dec 2003
Posts: 135

PostPosted: Wed Jun 30, 2004 7:41 pm    Post subject: Reply with quote

Very good news:
par of the changelog:


Added support for running 32-bit OpenGL applications on 64-bit AMD64 Linux installations.
Back to top
View user's profile Send private message
nebi
n00b
n00b


Joined: 30 Jun 2004
Posts: 8
Location: Uppsala - Sweden

PostPosted: Wed Jun 30, 2004 8:01 pm    Post subject: Reply with quote

nice :)
Back to top
View user's profile Send private message
Phorem
Tux's lil' helper
Tux's lil' helper


Joined: 05 Mar 2004
Posts: 92
Location: Toronto, Canada

PostPosted: Wed Jun 30, 2004 8:07 pm    Post subject: Reply with quote

"Added support for running 32-bit OpenGL applications on 64-bit AMD64 Linux installations."

Great, right after i go through the trouble of building a 32bit install on a second hard disk to play vids :-)
_________________
Gentoo AMD64 2004.1, AMD64 Athlon 3200, Asus K8V Deluxe, 1 gig 3200 ram, GeForce FX 5900XT 128, ATI Wonder VE Remote, HP 420i DVD+R+RW, HP Scanjet 2200c, Epson Stylus C84
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Wed Jun 30, 2004 8:30 pm    Post subject: Reply with quote

Can you get the modules to compile though? They wouldn't load for me, although I am using a 2.6.7-ck4 kernel...
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
LaNcom
Apprentice
Apprentice


Joined: 03 May 2003
Posts: 254
Location: Erfurt, Germany

PostPosted: Wed Jun 30, 2004 8:53 pm    Post subject: Reply with quote

I had some trouble with installer, too (using 6105). I'll check what I had to change to make the modules work...
Back to top
View user's profile Send private message
Lv
Retired Dev
Retired Dev


Joined: 22 Jun 2003
Posts: 352

PostPosted: Wed Jun 30, 2004 9:32 pm    Post subject: Reply with quote

you guys can use the ebuilds available at http://bugs.gentoo.org/show_bug.cgi?id=55714 until they make their way into portage :)
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 845
Location: Berlin

PostPosted: Wed Jun 30, 2004 9:33 pm    Post subject: Reply with quote

Hello

Used the ebuild from http://bugs.gentoo.org/show_bug.cgi?id=55714 and everything worked fine. Now i'll try to switch to 2.6.7 and have to find out how to accelerate 32bit games.

regards
Thomas
Back to top
View user's profile Send private message
blueworm
l33t
l33t


Joined: 09 May 2003
Posts: 962
Location: Asturias

PostPosted: Wed Jun 30, 2004 11:14 pm    Post subject: Reply with quote

I hope somebody can figure out how to use the fixed 32bit library thingy.
_________________
LianLi PC60, OCZ PowerStream 520W PSU, Asus p5N-E SLI, Core2duo E6550,2Gb GEIL 4-4-4-12 DDR2, XFX Geforce 8800GT, TB santaCruz
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 845
Location: Berlin

PostPosted: Wed Jun 30, 2004 11:16 pm    Post subject: Reply with quote

Uhm. 2.6.7 works fine but vmware has a problem. Switched to 2.6.5. But i can't find out how to accelerate 32bit games. Quake3 still produces very strange textures.

regards
Thomas
Back to top
View user's profile Send private message
blueworm
l33t
l33t


Joined: 09 May 2003
Posts: 962
Location: Asturias

PostPosted: Wed Jun 30, 2004 11:33 pm    Post subject: Reply with quote

So far I tried copying 32bit libGL.so.1.0.6106 to /usr/lib32 and to /emul/linux/x86/lib etc... and all the libGL.so.1 sym links and libGLcore etc... but nothing textures are still messed up when using lightmap.
just read this:
Quote:
------- Additional Comment #9 From Travis Tilley 2004-06-30 15:06 PST -------

andrew re: point 4... opengl-update just handles the main system GL. for the new drivers it would need to handle this -and- the 32bit gl. it'd need to do it's thing twice, once for each bitdepth (64+32). that's why opengl-update needs updating. :)

_________________
LianLi PC60, OCZ PowerStream 520W PSU, Asus p5N-E SLI, Core2duo E6550,2Gb GEIL 4-4-4-12 DDR2, XFX Geforce 8800GT, TB santaCruz
Back to top
View user's profile Send private message
chebe
Tux's lil' helper
Tux's lil' helper


Joined: 02 Mar 2004
Posts: 101
Location: New Caledonia

PostPosted: Thu Jul 01, 2004 12:01 am    Post subject: Reply with quote

Code:
you guys can use the ebuilds available at http://bugs.gentoo.org/show_bug.cgi?id=55714 until they make their way into portage

The ebuilds are working fine !!
And the return of the control pannel is mostly welcome !

Thanks
_________________
Unix is user friendly - it's just selective about who its friends are !
Back to top
View user's profile Send private message
chebe
Tux's lil' helper
Tux's lil' helper


Joined: 02 Mar 2004
Posts: 101
Location: New Caledonia

PostPosted: Thu Jul 01, 2004 12:18 am    Post subject: Reply with quote

erf, the opengl is not working ...

I did opengl-update nvidia, and to try it I run glxgears ... segfault
So to mkae sure I did opengl-update xorg-x11, and of course glxgears is working fine

As I load glx and nvidia in my X.conf, do I need to opengl-update nvidia ?
_________________
Unix is user friendly - it's just selective about who its friends are !
Back to top
View user's profile Send private message
Augustus22
n00b
n00b


Joined: 07 Oct 2003
Posts: 8
Location: Smyrna, GA

PostPosted: Thu Jul 01, 2004 2:03 am    Post subject: Reply with quote

New ebuild are available. See comment #20 and #21 for details:
http://bugs.gentoo.org/show_bug.cgi?id=55714
_________________
Augustus
Gentoo AMD64 Devel
LinuxHardware.org Editor-In-Chief
Back to top
View user's profile Send private message
Lv
Retired Dev
Retired Dev


Joined: 22 Jun 2003
Posts: 352

PostPosted: Thu Jul 01, 2004 2:48 am    Post subject: Reply with quote

the new ebuilds should work. if you get the following error:

ayanami nvidia-glx # ldconfig
ldconfig: libraries libGL.so.1 and libGL.so.1.0.6106 in directory /usr/lib have same soname but different type.
ldconfig: libraries libGLcore.so.1 and libGLcore.so.1.0.6106 in directory /usr/lib have same soname but different type.

then delete those files and re-run ldconfig. (the .so.1 files that is)
Back to top
View user's profile Send private message
LaNcom
Apprentice
Apprentice


Joined: 03 May 2003
Posts: 254
Location: Erfurt, Germany

PostPosted: Thu Jul 01, 2004 3:03 am    Post subject: Reply with quote

Hmmm, doesn't seem to work for me - running 32bit OpenGL apps gives me:

./glxinfo32: error while loading shared libraries: libnvidia-tls.so.1: cannot handle TLS data

Starting this with "LD_LIBRARY_PATH=/usr/lib32:$LD_LIBRARY_PATH ./glxinfo32" works...
Back to top
View user's profile Send private message
jamesrt
n00b
n00b


Joined: 09 Sep 2003
Posts: 47
Location: New Zealand

PostPosted: Thu Jul 01, 2004 5:54 am    Post subject: Reply with quote

Lv wrote:
the new ebuilds should work.

X starts for me, (xorg-x11), but glxgears core dumps. I'm using kernel 2.6.7-mm5, if that makes any difference.
Back to top
View user's profile Send private message
Augustus22
n00b
n00b


Joined: 07 Oct 2003
Posts: 8
Location: Smyrna, GA

PostPosted: Thu Jul 01, 2004 5:58 am    Post subject: Reply with quote

The mm kernels seem to give this new driver problems. Try the gentoo-dev-sources.
_________________
Augustus
Gentoo AMD64 Devel
LinuxHardware.org Editor-In-Chief
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Thu Jul 01, 2004 6:08 am    Post subject: Reply with quote

It works for me with my 2.6.7-mm4 kernel... just not the -ck4 kernel!
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
cyfred
Retired Dev
Retired Dev


Joined: 23 Aug 2002
Posts: 596

PostPosted: Thu Jul 01, 2004 6:40 am    Post subject: Reply with quote

Duplication from bug

OK anyone that has been trying out these drivers please test stuff from
http://dev.gentoo.org/~cyfred/overlay/media-video/

The tarball reflects both directories.

Changes in the ebuilds listed there
-kerenel
1) No more "userpriv" problems -- please check / verify this is you use userpriv (bug #48224)
2) Koutput patch included -- people using koutput should now be right
3) Addwrite support is no longer needed for < 2.6.6 (correlates to userpriv)

-glx
1) Added patch to get rid of nvidia comment about using nvidia-installer
2) Introduced ${FILESDIR}/${PV}/* patches for GLX


These are primarily based off Kris' ebuilds, and satisfy me as suitable for cvs. So basically post test results galore and if its all good these'll go into the tree.
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 845
Location: Berlin

PostPosted: Thu Jul 01, 2004 7:06 am    Post subject: Reply with quote

OMG. With the new ebuilds quake3 is working including Lightmap. Now i have to go play. :-)

regards
Thomas

Code:

...loading libGL.so.1: Initializing OpenGL display
...setting mode 7: 1152 864
Using XFree86-VidModeExtension Version 2.2
XF86DGA Mouse (Version 2.0) initialized
XFree86-VidModeExtension Activated at 1152x864
Using 4/4/4 Color bits, 24 depth, 0 stencil display.
GL_RENDERER: GeForce FX 5900/AGP/SSE2
Initializing OpenGL extensions
...ignoring GL_S3_s3tc
...ignoring GL_EXT_texture_env_add
...using GL_ARB_multitexture
...using GL_EXT_compiled_vertex_array
XF86 Gamma extension initialized

GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce FX 5900/AGP/SSE2
GL_VERSION: 1.5.1 NVIDIA 61.06
Back to top
View user's profile Send private message
mb4guns
Guru
Guru


Joined: 04 Dec 2002
Posts: 300
Location: Netherlands

PostPosted: Thu Jul 01, 2004 7:38 am    Post subject: Reply with quote

aaaaaaaaaaaaaaaaaaaaaaaaaaahhhhhhhhh finally !!!!!!

please stop my lockups :D

hmz....

Code:

----- Initializing Renderer ----
-------------------------------
----- Client Initialization Complete -----
----- R_Init -----
...loading libGL.so.1: QGL_Init: Can't load libGL.so.1 from /etc/ld.so.conf or current dir: /usr/local/games/quake3/libGL.so.1: cannot open shared object file: No such file or directory
failed
----- CL_Shutdown -----
RE_Shutdown( 1 )
-----------------------
----- CL_Shutdown -----
-----------------------
Sys_Error: GLimp_Init() - could not load OpenGL subsystem


Maby I'm stupid but it's there, same results on opengl-update nvidia or xfree

Neverwinternights worked with 5332, now it gives me a:
Code:
Neverwinternights worked wmb4guns@Athlon64 nwn $ ./nwn
./nwmain: error while loading shared libraries: libnvidia-tls.so.1: cannot handle TLS data


_________________
sys0: Athlon64, Corsair TWINX DDR400 (1024mb), GeForce FX5600 256mb, 2x SATA MAxtor 120gig, Plextor 708a, Zalman cooling, Zalman powered, gnomed
sys1: Dell inspiron 4100 PentiumIII-mobile@1000 512mb ATI Radeon mobility m6 30gig, gnomed
Back to top
View user's profile Send private message
mb4guns
Guru
Guru


Joined: 04 Dec 2002
Posts: 300
Location: Netherlands

PostPosted: Thu Jul 01, 2004 9:25 am    Post subject: Reply with quote

Ok solved, somehow they try to use the 64bit libs, force them to use the lib32 ones by:

Code:
export LD_LIBRARY_PATH=/usr/lib32

_________________
sys0: Athlon64, Corsair TWINX DDR400 (1024mb), GeForce FX5600 256mb, 2x SATA MAxtor 120gig, Plextor 708a, Zalman cooling, Zalman powered, gnomed
sys1: Dell inspiron 4100 PentiumIII-mobile@1000 512mb ATI Radeon mobility m6 30gig, gnomed
Back to top
View user's profile Send private message
RAPUL
l33t
l33t


Joined: 29 Dec 2002
Posts: 664
Location: Valencia (SPAIN)

PostPosted: Thu Jul 01, 2004 10:12 am    Post subject: Damn nice! Reply with quote

Nice!

Damn, i cannot wait to go home to install new drivers. I hope they fix my problems... :P
_________________
Entropy rulz world.
Redundancy sux.
World is full of redundancy.
World sux.
Back to top
View user's profile Send private message
zicada
n00b
n00b


Joined: 25 May 2004
Posts: 7

PostPosted: Thu Jul 01, 2004 10:04 pm    Post subject: Reply with quote

I still have the garbled quake3 textures aswell,- and shouldnt i get a little more than 3200 fps with glxgears with a ti4200 ?

nwn runs fine, but just as slow as it used to be with the older drivers and 32bit emulation (eg, no direct rendering etc)


-- zic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum